read_cache_pages
Prev | More Memory Management Functions | Next

## Name

read_cache_pages — populate an address space with some pages & start reads against them

## Synopsis

`int read_cache_pages (` | struct address_space * | mapping,
| struct list_head * | pages,
| int (* | filler`(`void *, struct page *`)`,
| void * | data`)`;

## Arguments

`mapping`

  the address_space

`pages`

  The address of a list_head which contains the target pages. These pages have their ->index populated and are otherwise uninitialised.

`filler`

  callback routine for filling a single page.

`data`

  private data for the callback routine.

## Description

Hides the details of the LRU cache etc from the filesystems.

Prev | Up | Next
More Memory Management Functions | Home | page_cache_sync_readahead